var app = getApp();
var that;
Page({
  data: {
    list: []
  },
  onLoad(e) {
    that = this;
    dd.setNavigationBar({ title: "未奖扣人员" });
    if (e.list) {
      this.setData({
        list: JSON.parse(e.list)
      })
    }
  },
  onShow() {
    if (app.globalData.userData) {

    } else {
      app.login(app.globalData.corpId, function (is) {
        if (is) {

        } else {
          dd.reLaunch({
            url: '../../noJurisdiction/noJurisdiction'
          })
        }
      }, function () { })
    }

  },
  openView(e) {
    let index = e.target.dataset.index
    if (index == 1) {
      dd.navigateTo({
        url: '../../workbench/jk_B/jk_B?type=B'
      })
    } else {
      dd.navigateTo({
        url: '../../workbench/jk_B/jk_B?type=A'
      })
    }
  },
});
